summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--src/profile/proteanos.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/profile/proteanos.sh b/src/profile/proteanos.sh
index dfa64e8..ff03354 100644
--- a/src/profile/proteanos.sh
+++ b/src/profile/proteanos.sh
@@ -287,13 +287,23 @@ prof_proteanos_make_initramfs()
{
local arch="${1}"
local plat="${2}"
+ local init_created=
case "${arch}" in
*-linux-*)
+ if ! [ -e init ]; then
+ ln -s /sbin/init init
+ init_created=true
+ else
+ init_created=false
+ fi
find . -xdev -a \! -path './boot/*' -a \
\! -path './prokit/*' | \
${CPIO} -o -H newc | \
${XZ} -c --check=crc32 --x86 --lzma2
+ if ${init_created}; then
+ rm -f init
+ fi
;;
esac
return 1